'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var tslib_es6 = require('../../../node_modules/tslib/tslib.es6.js');
var React = require('react');
var cx = require('clsx');
var core = require('@mantine/core');
var hljs = require('highlight.js');
var CodeHighlight_module = require('./CodeHighlight.module.css.js');
var CodeHighlight_theme_module = require('./CodeHighlight.theme.module.css.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e['default'] : e; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);
var cx__default = /*#__PURE__*/_interopDefaultLegacy(cx);
var hljs__default = /*#__PURE__*/_interopDefaultLegacy(hljs);

const classes = Object.assign(Object.assign({}, CodeHighlight_module['default']), { code: cx__default(CodeHighlight_module['default'].code, CodeHighlight_theme_module['default'].theme) });
const defaultProps = {
    language: 'tsx',
};
const InlineCodeHighlight = core.factory((_props, ref) => {
    const props = core.useProps('InlineCodeHighlight', defaultProps, _props);
    const { classNames, className, style, styles, unstyled, vars, code, language } = props, others = tslib_es6.__rest(props, ["classNames", "className", "style", "styles", "unstyled", "vars", "code", "language"]);
    const getStyles = core.useStyles({
        name: 'InlineCodeHighlight',
        props,
        classes,
        className,
        style,
        classNames,
        styles,
        unstyled,
        rootSelector: 'code',
    });
    const highlighted = hljs__default.highlight(code.trim(), { language: language }).value;
    return (React__default.createElement(core.Box, Object.assign({}, getStyles('code'), { component: "code", ref: ref }, others, { dangerouslySetInnerHTML: { __html: highlighted } })));
});
InlineCodeHighlight.displayName = '@mantine/core/InlineCodeHighlight';

exports.InlineCodeHighlight = InlineCodeHighlight;
//# sourceMappingURL=InlineCodeHighlight.js.map
