import { __rest } from 'tslib';
import React from 'react';
import cx from 'clsx';
import { factory, useProps, useStyles, Box } from '@mantine/core';
import hljs from 'highlight.js';
import _classes from './CodeHighlight.module.css.js';
import themeClasses from './CodeHighlight.theme.module.css.js';

const classes = Object.assign(Object.assign({}, _classes), { code: cx(_classes.code, themeClasses.theme) });
const defaultProps = {
    language: 'tsx',
};
const InlineCodeHighlight = factory((_props, ref) => {
    const props = useProps('InlineCodeHighlight', defaultProps, _props);
    const { classNames, className, style, styles, unstyled, vars, code, language } = props, others = __rest(props, ["classNames", "className", "style", "styles", "unstyled", "vars", "code", "language"]);
    const getStyles = useStyles({
        name: 'InlineCodeHighlight',
        props,
        classes,
        className,
        style,
        classNames,
        styles,
        unstyled,
        rootSelector: 'code',
    });
    const highlighted = hljs.highlight(code.trim(), { language: language }).value;
    return (React.createElement(Box, Object.assign({}, getStyles('code'), { component: "code", ref: ref }, others, { dangerouslySetInnerHTML: { __html: highlighted } })));
});
InlineCodeHighlight.displayName = '@mantine/core/InlineCodeHighlight';

export { InlineCodeHighlight };
//# sourceMappingURL=InlineCodeHighlight.js.map
